%if ! (0%{?fedora} > 12 || 0%{?rhel} > 5)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%endif

%global release_name icehouse
%global milestone ...

Name:             openstack-swift
Version:          1.13.1
Release:          1%{?dist}
Summary:          OpenStack Object Storage (Swift)

Group:            Development/Languages
License:          ASL 2.0
URL:              http://launchpad.net/swift
Source0:          http://launchpad.net/swift/%{release_name}/%{version}/+download/swift-%{version}.tar.gz

Source1:          %{name}-functions
Source2:          %{name}-account.init
Source22:         account-server.conf
Source200:        %{name}-account.upstart
Source201:        %{name}-account-auditor.upstart
Source202:        %{name}-account-reaper.upstart
Source203:        %{name}-account-replicator.upstart
Source211:        %{name}-account-auditor.init
Source212:        %{name}-account-reaper.init
Source213:        %{name}-account-replicator.init
Source4:          %{name}-container.init
Source42:         container-server.conf
Source400:        %{name}-container.upstart
Source401:        %{name}-container-auditor.upstart
Source402:        %{name}-container-replicator.upstart
Source403:        %{name}-container-updater.upstart
Source411:        %{name}-container-auditor.init
Source412:        %{name}-container-replicator.init
Source413:        %{name}-container-updater.init
Source5:          %{name}-object.init
Source52:         object-server.conf
Source500:        %{name}-object.upstart
Source501:        %{name}-object-auditor.upstart
Source502:        %{name}-object-expirer.upstart
Source503:        %{name}-object-replicator.upstart
Source504:        %{name}-object-updater.upstart
Source511:        %{name}-object-auditor.init
Source512:        %{name}-object-expirer.init
Source513:        %{name}-object-replicator.init
Source514:        %{name}-object-updater.init
Source6:          %{name}-proxy.init
Source61:         proxy-server.conf
Source62:         object-expirer.conf
Source600:        %{name}-proxy.upstart
Source7:          swift.conf

#
# patches_base=1.13.1
#
Patch0001: 0001-Use-updated-parallel-install-versions-of-el6-package.patch
Patch0002: 0002-Add-fixes-for-building-the-doc-package.patch
Patch0003: 0003-remove-runtime-requirement-on-pbr.patch
Patch0004: 0004-Quick-fix-building-of-1.12.0-on-EPEL-6.patch
Patch0005: 0005-Set-permissions-on-generated-ring-files.patch

BuildArch:        noarch
BuildRequires:    python-devel
BuildRequires:    python-setuptools
BuildRequires:    python-netifaces
# These are required to build due to the requirements check added
BuildRequires:    python-paste-deploy1.5
BuildRequires:    python-pbr

Requires:         python-configobj
Requires:         python-eventlet >= 0.9.15
Requires:         python-greenlet >= 0.3.1
Requires:         python-paste-deploy1.5
Requires:         python-simplejson
Requires:         pyxattr
Requires:         python-setuptools
Requires:         python-netifaces

Requires(post):   chkconfig
Requires(postun): initscripts
Requires(preun):  chkconfig
Requires(pre):    shadow-utils
Obsoletes:        openstack-swift-auth  <= 1.4.0
# swiftclient was split off in 1.6.0
Requires:         python-swiftclient

%description
OpenStack Object Storage (Swift) aggregates commodity servers to work together
in clusters for reliable, redundant, and large-scale storage of static objects.
Objects are written to multiple hardware devices in the data center, with the
OpenStack software responsible for ensuring data replication and integrity
across the cluster. Storage clusters can scale horizontally by adding new nodes,
which are automatically configured. Should a node fail, OpenStack works to
replicate its content from other active nodes. Because OpenStack uses software
logic to ensure data replication and distribution across different devices,
inexpensive commodity hard drives and servers can be used in lieu of more
expensive equipment.

%package          account
Summary:          Account services for Swift
Group:            Applications/System

Requires:         %{name} = %{version}-%{release}

%description      account
OpenStack Object Storage (Swift) aggregates commodity servers to work together
in clusters for reliable, redundant, and large-scale storage of static objects.

This package contains the %{name} account server.

%package          container
Summary:          Container services for Swift
Group:            Applications/System

Requires:         %{name} = %{version}-%{release}

%description      container
OpenStack Object Storage (Swift) aggregates commodity servers to work together
in clusters for reliable, redundant, and large-scale storage of static objects.

This package contains the %{name} container server.

%package          object
Summary:          Object services for Swift
Group:            Applications/System

Requires:         %{name} = %{version}-%{release}
Requires:         rsync >= 3.0

%description      object
OpenStack Object Storage (Swift) aggregates commodity servers to work together
in clusters for reliable, redundant, and large-scale storage of static objects.

This package contains the %{name} object server.

%package          proxy
Summary:          A proxy server for Swift
Group:            Applications/System

Requires:         %{name} = %{version}-%{release}
Requires:         python-keystoneclient
Requires:         openstack-swift-plugin-swift3

%description      proxy
OpenStack Object Storage (Swift) aggregates commodity servers to work together
in clusters for reliable, redundant, and large-scale storage of static objects.

This package contains the %{name} proxy server.

%package doc
Summary:          Documentation for %{name}
Group:            Documentation
%if 0%{?rhel} >= 6
BuildRequires:    python-sphinx10 >= 1.0
%endif
%if 0%{?fedora} >= 14
BuildRequires:    python-sphinx >= 1.0
%endif
# Required for generating docs
BuildRequires:    python-eventlet
BuildRequires:    python-simplejson
BuildRequires:    pyxattr
BuildRequires:    python-swiftclient

%description      doc
OpenStack Object Storage (Swift) aggregates commodity servers to work together
in clusters for reliable, redundant, and large-scale storage of static objects.

This package contains documentation files for %{name}.

%prep
%setup -q -n swift-%{version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1

#sed -i 's/%{version}.%{milestone}/%{version}/' PKG-INFO

# Remove bundled egg-info
rm -rf swift.egg-info
# let RPM handle deps
sed -i '/setup_requires/d; /install_requires/d; /dependency_links/d' setup.py

# Remove the requirements file so that pbr hooks don't add it
# to distutils requires_dist config
rm -rf {test-,}requirements.txt

# Remove dependency on pbr and set version as per rpm
sed -i 's/%RPMVERSION%/%{version}/; s/%RPMRELEASE%/%{release}/' swift/__init__.py


%build
%{__python} setup.py build
# Fails unless we create the build directory
mkdir -p doc/build
# Build docs
%if 0%{?fedora} >= 14
%{__python} setup.py build_sphinx
%endif
%if 0%{?rhel} >= 6
export PYTHONPATH="$( pwd ):$PYTHONPATH"
SPHINX_DEBUG=1 sphinx-1.0-build -b html doc/source doc/build/html
%endif
# Fix hidden-file-or-dir warning
#rm doc/build/html/.buildinfo

%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}
# Init helper functions
install -p -D -m 644 %{SOURCE1} %{buildroot}%{_datarootdir}/%{name}/functions
# Install upstart jobs examples
install -p -m 644 %{SOURCE200} %{buildroot}%{_datadir}/%{name}
install -p -m 644 %{SOURCE201} %{buildroot}%{_datadir}/%{name}
install -p -m 644 %{SOURCE202} %{buildroot}%{_datadir}/%{name}
install -p -m 644 %{SOURCE203} %{buildroot}%{_datadir}/%{name}
install -p -m 644 %{SOURCE400} %{buildroot}%{_datadir}/%{name}
install -p -m 644 %{SOURCE401} %{buildroot}%{_datadir}/%{name}
install -p -m 644 %{SOURCE402} %{buildroot}%{_datadir}/%{name}
install -p -m 644 %{SOURCE403} %{buildroot}%{_datadir}/%{name}
install -p -m 644 %{SOURCE500} %{buildroot}%{_datadir}/%{name}
install -p -m 644 %{SOURCE501} %{buildroot}%{_datadir}/%{name}
install -p -m 644 %{SOURCE502} %{buildroot}%{_datadir}/%{name}
install -p -m 644 %{SOURCE503} %{buildroot}%{_datadir}/%{name}
install -p -m 644 %{SOURCE504} %{buildroot}%{_datadir}/%{name}
install -p -m 644 %{SOURCE600} %{buildroot}%{_datadir}/%{name}
# Init scripts
install -p -D -m 755 %{SOURCE2} %{buildroot}%{_initrddir}/%{name}-account
install -p -D -m 755 %{SOURCE211} %{buildroot}%{_initrddir}/%{name}-account-auditor
install -p -D -m 755 %{SOURCE212} %{buildroot}%{_initrddir}/%{name}-account-reaper
install -p -D -m 755 %{SOURCE213} %{buildroot}%{_initrddir}/%{name}-account-replicator
install -p -D -m 755 %{SOURCE4} %{buildroot}%{_initrddir}/%{name}-container
install -p -D -m 755 %{SOURCE411} %{buildroot}%{_initrddir}/%{name}-container-auditor
install -p -D -m 755 %{SOURCE412} %{buildroot}%{_initrddir}/%{name}-container-replicator
install -p -D -m 755 %{SOURCE413} %{buildroot}%{_initrddir}/%{name}-container-updater
install -p -D -m 755 %{SOURCE5} %{buildroot}%{_initrddir}/%{name}-object
install -p -D -m 755 %{SOURCE511} %{buildroot}%{_initrddir}/%{name}-object-auditor
install -p -D -m 755 %{SOURCE512} %{buildroot}%{_initrddir}/%{name}-object-expirer
install -p -D -m 755 %{SOURCE513} %{buildroot}%{_initrddir}/%{name}-object-replicator
install -p -D -m 755 %{SOURCE514} %{buildroot}%{_initrddir}/%{name}-object-updater
install -p -D -m 755 %{SOURCE6} %{buildroot}%{_initrddir}/%{name}-proxy
# Remove tests
rm -fr %{buildroot}/%{python_sitelib}/test
# Misc other
install -d -m 755 %{buildroot}%{_sysconfdir}/swift
install -d -m 755 %{buildroot}%{_sysconfdir}/swift/account-server
install -d -m 755 %{buildroot}%{_sysconfdir}/swift/container-server
install -d -m 755 %{buildroot}%{_sysconfdir}/swift/object-server
install -d -m 755 %{buildroot}%{_sysconfdir}/swift/proxy-server
# Config files
install -p -D -m 660 %{SOURCE22} %{buildroot}%{_sysconfdir}/swift/account-server.conf
install -p -D -m 660 %{SOURCE42} %{buildroot}%{_sysconfdir}/swift/container-server.conf
install -p -D -m 660 %{SOURCE52} %{buildroot}%{_sysconfdir}/swift/object-server.conf
install -p -D -m 660 %{SOURCE61} %{buildroot}%{_sysconfdir}/swift/proxy-server.conf
install -p -D -m 660 %{SOURCE62} %{buildroot}%{_sysconfdir}/swift/object-expirer.conf
install -p -D -m 660 %{SOURCE7} %{buildroot}%{_sysconfdir}/swift/swift.conf
# Install pid directory
install -d -m 755 %{buildroot}%{_localstatedir}/run/swift
install -d -m 755 %{buildroot}%{_localstatedir}/run/swift/account-server
install -d -m 755 %{buildroot}%{_localstatedir}/run/swift/container-server
install -d -m 755 %{buildroot}%{_localstatedir}/run/swift/object-server
install -d -m 755 %{buildroot}%{_localstatedir}/run/swift/proxy-server
# Install recon directory
install -d -m 755 %{buildroot}%{_localstatedir}/cache/swift
# Install home directory
install -d -m 755 %{buildroot}%{_sharedstatedir}/swift
# man pages
install -d -m 755 %{buildroot}%{_mandir}/man5
for m in doc/manpages/*.5; do
  install -p -m 0644 $m %{buildroot}%{_mandir}/man5
done
install -d -m 755 %{buildroot}%{_mandir}/man1
for m in doc/manpages/*.1; do
  install -p -m 0644 $m %{buildroot}%{_mandir}/man1
done

%clean
rm -rf %{buildroot}

%pre
getent group swift >/dev/null || groupadd -r swift -g 160
getent passwd swift >/dev/null || \
useradd -r -g swift -u 160 -d %{_sharedstatedir}/swift -s /sbin/nologin \
-c "OpenStack Swift Daemons" swift
exit 0

%post account
/sbin/chkconfig --add openstack-swift-account
/sbin/chkconfig --add openstack-swift-account-auditor
/sbin/chkconfig --add openstack-swift-account-reaper
/sbin/chkconfig --add openstack-swift-account-replicator

%preun account
if [ $1 = 0 ] ; then
    /sbin/service openstack-swift-account stop >/dev/null 2>&1
    /sbin/service openstack-swift-account-auditor stop >/dev/null 2>&1
    /sbin/service openstack-swift-account-reaper stop >/dev/null 2>&1
    /sbin/service openstack-swift-account-replicator stop >/dev/null 2>&1
    /sbin/chkconfig --del openstack-swift-account
    /sbin/chkconfig --del openstack-swift-account-auditor
    /sbin/chkconfig --del openstack-swift-account-reaper
    /sbin/chkconfig --del openstack-swift-account-replicator
fi

%postun account
if [ "$1" -ge "1" ] ; then
    /sbin/service openstack-swift-account condrestart >/dev/null 2>&1 || :
    /sbin/service openstack-swift-account-auditor condrestart >/dev/null 2>&1 || :
    /sbin/service openstack-swift-account-reaper condrestart >/dev/null 2>&1 || :
    /sbin/service openstack-swift-account-replicator condrestart >/dev/null 2>&1 || :
fi

%post container
/sbin/chkconfig --add openstack-swift-container
/sbin/chkconfig --add openstack-swift-container-auditor
/sbin/chkconfig --add openstack-swift-container-replicator
/sbin/chkconfig --add openstack-swift-container-updater

%preun container
if [ $1 = 0 ] ; then
    /sbin/service openstack-swift-container stop >/dev/null 2>&1
    /sbin/service openstack-swift-container-auditor stop >/dev/null 2>&1
    /sbin/service openstack-swift-container-replicator stop >/dev/null 2>&1
    /sbin/service openstack-swift-container-updater stop >/dev/null 2>&1
    /sbin/chkconfig --del openstack-swift-container
    /sbin/chkconfig --del openstack-swift-container-auditor
    /sbin/chkconfig --del openstack-swift-container-replicator
    /sbin/chkconfig --del openstack-swift-container-updater
fi

%postun container
if [ "$1" -ge "1" ] ; then
    /sbin/service openstack-swift-container condrestart >/dev/null 2>&1 || :
    /sbin/service openstack-swift-container-auditor condrestart >/dev/null 2>&1 || :
    /sbin/service openstack-swift-container-replicator condrestart >/dev/null 2>&1 || :
    /sbin/service openstack-swift-container-updater condrestart >/dev/null 2>&1 || :
fi

%post object
/sbin/chkconfig --add openstack-swift-object
/sbin/chkconfig --add openstack-swift-object-auditor
/sbin/chkconfig --add openstack-swift-object-replicator
/sbin/chkconfig --add openstack-swift-object-updater

%preun object
if [ $1 = 0 ] ; then
    /sbin/service openstack-swift-object stop >/dev/null 2>&1
    /sbin/service openstack-swift-object-auditor stop >/dev/null 2>&1
    /sbin/service openstack-swift-object-replicator stop >/dev/null 2>&1
    /sbin/service openstack-swift-object-updater stop >/dev/null 2>&1
    /sbin/chkconfig --del openstack-swift-object
    /sbin/chkconfig --del openstack-swift-object-auditor
    /sbin/chkconfig --del openstack-swift-object-replicator
    /sbin/chkconfig --del openstack-swift-object-updater
fi

%postun object
if [ "$1" -ge "1" ] ; then
    /sbin/service openstack-swift-object condrestart >/dev/null 2>&1 || :
    /sbin/service openstack-swift-object-auditor condrestart >/dev/null 2>&1 || :
    /sbin/service openstack-swift-object-replicator condrestart >/dev/null 2>&1 || :
    /sbin/service openstack-swift-object-updater condrestart >/dev/null 2>&1 || :
fi

%post proxy
/sbin/chkconfig --add openstack-swift-proxy
/sbin/chkconfig --add openstack-swift-object-expirer

%preun proxy
if [ $1 = 0 ] ; then
    /sbin/service openstack-swift-proxy stop >/dev/null 2>&1
    /sbin/service openstack-swift-object-expirer stop >/dev/null 2>&1
    /sbin/chkconfig --del openstack-swift-proxy
    /sbin/chkconfig --del openstack-swift-object-expirer
fi

%postun proxy
if [ "$1" -ge "1" ] ; then
    /sbin/service openstack-swift-proxy condrestart >/dev/null 2>&1 || :
    /sbin/service openstack-swift-object-expirer condrestart >/dev/null 2>&1 || :
fi

%files
%defattr(-,root,root,-)
%doc AUTHORS LICENSE README.md
%doc etc/dispersion.conf-sample etc/drive-audit.conf-sample etc/object-expirer.conf-sample
%doc etc/swift.conf-sample
%{_mandir}/man5/dispersion.conf.5*
%{_mandir}/man1/swift-dispersion-populate.1*
%{_mandir}/man1/swift-dispersion-report.1*
%{_mandir}/man1/swift-get-nodes.1*
%{_mandir}/man1/swift-init.1*
%{_mandir}/man1/swift-orphans.1*
%{_mandir}/man1/swift-recon.1*
%{_mandir}/man1/swift-ring-builder.1*
%dir %{_datarootdir}/%{name}/functions
%dir %{_sysconfdir}/swift
%config(noreplace) %attr(660, root, swift) %{_sysconfdir}/swift/swift.conf
%dir %attr(0755, swift, root) %{_localstatedir}/run/swift
%dir %attr(0755, swift, root) %{_localstatedir}/cache/swift
%dir %attr(0755, swift, root) %{_sharedstatedir}/swift
%dir %{python_sitelib}/swift
%{_bindir}/swift-account-audit
%{_bindir}/swift-config
%{_bindir}/swift-drive-audit
%{_bindir}/swift-get-nodes
%{_bindir}/swift-init
%{_bindir}/swift-ring-builder
%{_bindir}/swift-dispersion-populate
%{_bindir}/swift-dispersion-report
%{_bindir}/swift-recon*
%{_bindir}/swift-oldies
%{_bindir}/swift-orphans
%{_bindir}/swift-form-signature
%{_bindir}/swift-temp-url
%{python_sitelib}/swift/*.py*
%{python_sitelib}/swift/cli
%{python_sitelib}/swift/common
%{python_sitelib}/swift/account
%{python_sitelib}/swift/obj
%{python_sitelib}/swift-%{version}*.egg-info

%files account
%defattr(-,root,root,-)
%doc etc/account-server.conf-sample
%{_initrddir}/%{name}-account*
%{_datadir}/%{name}/%{name}-account*.upstart
%{_mandir}/man5/account-server.conf.5*
%{_mandir}/man1/swift-account-auditor.1*
%{_mandir}/man1/swift-account-info.1*
%{_mandir}/man1/swift-account-reaper.1*
%{_mandir}/man1/swift-account-replicator.1*
%{_mandir}/man1/swift-account-server.1*
%dir %{_sysconfdir}/swift/account-server
%config(noreplace) %attr(660, root, swift) %{_sysconfdir}/swift/account-server.conf
%dir %attr(0755, swift, root) %{_localstatedir}/run/swift/account-server
%{_bindir}/swift-account-auditor
%{_bindir}/swift-account-info
%{_bindir}/swift-account-reaper
%{_bindir}/swift-account-replicator
%{_bindir}/swift-account-server

%files container
%defattr(-,root,root,-)
%doc etc/container-server.conf-sample
%{_initrddir}/%{name}-container*
%{_datadir}/%{name}/%{name}-container*.upstart
%{_mandir}/man5/container-server.conf.5*
%{_mandir}/man1/swift-container-auditor.1*
%{_mandir}/man1/swift-container-info.1*
%{_mandir}/man1/swift-container-replicator.1*
%{_mandir}/man1/swift-container-server.1*
%{_mandir}/man1/swift-container-sync.1*
%{_mandir}/man1/swift-container-updater.1*
%dir %{_sysconfdir}/swift/container-server
%config(noreplace) %attr(660, root, swift) %{_sysconfdir}/swift/container-server.conf
%dir %attr(0755, swift, root) %{_localstatedir}/run/swift/container-server
%{_bindir}/swift-container-auditor
%{_bindir}/swift-container-info
%{_bindir}/swift-container-server
%{_bindir}/swift-container-replicator
%{_bindir}/swift-container-updater
%{_bindir}/swift-container-sync
%{python_sitelib}/swift/container

%files object
%defattr(-,root,root,-)
%doc etc/object-server.conf-sample etc/rsyncd.conf-sample
%{_initrddir}/%{name}-object
%{_initrddir}/%{name}-object-auditor
%{_initrddir}/%{name}-object-replicator
%{_initrddir}/%{name}-object-updater
%{_datadir}/%{name}/%{name}-object.upstart
%{_datadir}/%{name}/%{name}-object-auditor.upstart
%{_datadir}/%{name}/%{name}-object-replicator.upstart
%{_datadir}/%{name}/%{name}-object-updater.upstart
%{_mandir}/man5/object-server.conf.5*
%{_mandir}/man1/swift-object-auditor.1*
%{_mandir}/man1/swift-object-info.1*
%{_mandir}/man1/swift-object-replicator.1*
%{_mandir}/man1/swift-object-server.1*
%{_mandir}/man1/swift-object-updater.1*
%dir %{_sysconfdir}/swift/object-server
%config(noreplace) %attr(660, root, swift) %{_sysconfdir}/swift/object-server.conf
%dir %attr(0755, swift, root) %{_localstatedir}/run/swift/object-server
%{_bindir}/swift-object-auditor
%{_bindir}/swift-object-info
%{_bindir}/swift-object-replicator
%{_bindir}/swift-object-server
%{_bindir}/swift-object-updater

%files proxy
%defattr(-,root,root,-)
%doc etc/proxy-server.conf-sample etc/object-expirer.conf-sample
%dir %{_initrddir}/%{name}-object-expirer
%dir %{_initrddir}/%{name}-proxy
%{_datadir}/%{name}/%{name}-object-expirer.upstart
%{_datadir}/%{name}/%{name}-proxy.upstart
%{_mandir}/man5/object-expirer.conf.5*
%{_mandir}/man5/proxy-server.conf.5*
%{_mandir}/man1/swift-object-expirer.1*
%{_mandir}/man1/swift-proxy-server.1*
%dir %{_sysconfdir}/swift/proxy-server
%config(noreplace) %attr(660, root, swift) %{_sysconfdir}/swift/proxy-server.conf
%config(noreplace) %attr(660, root, swift) %{_sysconfdir}/swift/object-expirer.conf
%dir %attr(0755, swift, root) %{_localstatedir}/run/swift/proxy-server
%{_bindir}/swift-object-expirer
%{_bindir}/swift-proxy-server
%{python_sitelib}/swift/proxy

%files doc
%defattr(-,root,root,-)
%doc LICENSE doc/build/html

%changelog
* Sat Apr 19 2014 Pádraig Brady <pbrady@redhat.com> - 1.13.1-1
- Update to Icehouse release

* Sat Apr 12 2014 Alan Pevec <apevec@redhat.com> 1.13.1-0.1.rc2
- Update to Icehouse milestone 1.13.1.rc2

* Wed Mar 05 2014 Pete Zaitcev <zaitcev@redhat.com> 1.12.0-2
- Quick-fix building on EPEL 6 due to downrev Sphinx

* Fri Jan 31 2014 Alan Pevec <apevec@redhat.com> 1.12.0-1
- Update to Icehouse milestone 1.12.0

* Fri Jan 03 2014 Pádraig Brady <pbrady@redhat.com> 1.11.0-1
- Update to first icehouse release 1.11.0

* Fri Oct 18 2013 Pádraig Brady <pbrady@redhat.com> 1.10.0-2
- Update to Havana GA
- Fix service startup issue due to bad depencency checking (#1020449)
- Fix version reporting

* Wed Oct 09 2013 <pbrady@redhat.com> 1.10.0-0.2.rc1
- add swift home directory for signing_dir, bz#967631
- Make status print correct identity, bz#917657
- Add "shutdown" to server-type services that support HUP signal, bz#927423
- Add a missing newline in service openstack-swift-proxy shutdown, bz#971881

* Wed Oct 09 2013 <pbrady@redhat.com> 1.10.0-0.1.rc1
- Update to 1.10.0 RC1

* Mon Sep 23 2013 Pete Zaitcev <zaitcev@redhat.com> 1.9.1-2
- Retrofit for EPEL 6
- Move account/ to base package like we did for obj/ in 1.7.5-4

* Thu Sep 19 2013 Pete Zaitcev <zaitcev@redhat.com> 1.9.1-1
- Update to 1.9.1, includes CVE-2013-4155
- Includes unfortunately standards-compliant XML listings, to be fixed
- Reseller prefix in Keystone must end with an underscore
- Make only proxy depend on openstack-swift-plugin-swift3

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jul 17 2013 Pete Zaitcev <zaitcev@redhat.com> 1.9.0-1
- Update to 1.9.0

* Fri Apr 05 2013 Derek Higgins <derekh@redhat.com> - 1.8.0-2
- change path to middleware in proxy conf file
- add dependency for python-keystoneclient for proxy

* Thu Apr 4 2013 Pete Zaitcev <zaitcev@redhat.com> 1.8.0-1
- Update to 1.8.0; this is the "Grizzly" release of OpenStack

* Mon Mar 18 2013 Pete Zaitcev <zaitcev@redhat.com> 1.7.6-2
- Move ownership of /var/cache/swift to main package per Zane's comments

* Sun Mar 10 2013 Alan Pevec <apevec@redhat.com> 1.7.6-1
- Update to 1.7.6

* Thu Feb 14 2013 Pete Zaitcev <zaitcev@redhat.com> - 1.7.5-4
- Fix the moved object-expirer so it runs with object is not installed

* Thu Feb 14 2013 Pete Zaitcev <zaitcev@redhat.com> - 1.7.5-3
- Add /var/cache/swift, by bz#870409, equally affects all Fedora versions

* Mon Jan 28 2013 Pete Zaitcev <zaitcev@redhat.com> - 1.7.5-2
- Drop dependency on python-webob, because Swift uses an in-tree swob now
- Update scriptlets to use macro systemd_postun and friends (bz#850016)
- Drop systemd-sysv-convert
- Relocate object-expirer into the proxy bundle
- Add the expirer configuration, multi-node only

* Mon Dec 03 2012 Derek Higgins <derekh@redhat.com> - 1.7.5-1
- Update to 1.7.5
- adding swift-bench-client
- removing dup dependency on python-netifaces
- changing README -> README.md

* Mon Nov 5 2012 Pete Zaitcev <zaitcev@redhat.com> - 1.7.4-2
- Add missing unit files bz#807170

* Thu Sep 27 2012 Derek Higgins <derekh@redhat.com> - 1.7.4-1
- Update to 1.7.4

* Thu Sep 20 2012 Derek Higgins <derekh@redhat.com> 1.7.2-1
- Update to 1.7.2

* Fri Sep 14 2012 Derek Higgins <derekh@redhat.com> 1.7.0-2
- Adding config files

* Thu Sep 13 2012 Derek Higgins <derekh@redhat.com> 1.7.0-1
- Update to 1.7.0

* Mon Aug 13 2012 Alan Pevec <apevec@redhat.com> 1.6.0-1
- Update to 1.6.0

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jun 15 2012 Alan Pevec <apevec@redhat.com> 1.5.0-1
- Update to 1.5.0

* Thu Mar 22 2012 Alan Pevec <apevec@redhat.com> 1.4.8-1
- Update to 1.4.8

* Fri Mar 09 2012 Alan Pevec <apevec@redhat.com> 1.4.7-1
- Update to 1.4.7

* Mon Feb 13 2012 Alan Pevec <apevec@redhat.com> 1.4.6-1
- Update to 1.4.6
- Switch from SysV init scripts to systemd units rhbz#734594

* Thu Jan 26 2012 Alan Pevec <apevec@redhat.com> 1.4.5-1
- Update to 1.4.5

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Nov 25 2011 Alan Pevec <apevec@redhat.com> 1.4.4-1
- Update to 1.4.4

* Wed Nov 23 2011 David Nalley <david@gnsa.us> -1.4.3-2
* fixed some missing requires

* Sat Nov 05 2011 David Nalley <david@gnsa.us> - 1.4.3-1
- Update to 1.4.3
- fix init script add, registration, deletion BZ 685155
- fixing BR to facilitate epel6 building

* Tue Aug 23 2011 David Nalley <david@gnsa.us> - 1.4.0-2
- adding uid:gid for bz 732693

* Wed Jun 22 2011 David Nalley <david@gnsa.us> - 1.4.1-1
- Update to 1.4.0
- change the name of swift binary from st to swift

* Sat Jun 04 2011 David Nalley <david@gnsa.us> - 1.4.0-1
- Update to 1.4.0

* Fri May 20 2011 David Nalley <david@gnsa.us> - 1.3.0-1
- Update to 1.3.0

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Dec 05 2010 Silas Sewell <silas@sewell.ch> - 1.1.0-1
- Update to 1.1.0

* Sun Aug 08 2010 Silas Sewell <silas@sewell.ch> - 1.0.2-5
- Update for new Python macro guidelines
- Use dos2unix instead of sed
- Make gecos field more descriptive

* Wed Jul 28 2010 Silas Sewell <silas@sewell.ch> - 1.0.2-4
- Rename to openstack-swift

* Wed Jul 28 2010 Silas Sewell <silas@sewell.ch> - 1.0.2-3
- Fix return value in swift-functions

* Tue Jul 27 2010 Silas Sewell <silas@sewell.ch> - 1.0.2-2
- Add swift user
- Update init scripts

* Sun Jul 18 2010 Silas Sewell <silas@sewell.ch> - 1.0.2-1
- Initial build
